<template>
  <div>

    <div class="beehive_main_details" v-if="specific_beehive.id">
      <div><strong>Nazwa: </strong>{{specific_beehive.beehiveName}}</div>
      <hr>
      <div><strong>Dennica: </strong>{{ specific_beehive.bottom }}</div>
      <hr>
      <div><strong>Data utworzenia: </strong>{{ specific_beehive.dateOfCreation }}</div>
      <hr>
      <div><strong>Siła: </strong>{{ specific_beehive.force }}</div>
      <hr>
      <div><strong>Liczba ramek: </strong>{{ specific_beehive.framesAmount }}</div>
      <hr>
      <div><strong>Temperament: </strong>{{specific_beehive.temperament}}</div>
      <hr>

      <button class="btn btn-primary" v-on:click="showBeehive(specific_beehive.id)">Przejdź do ula</button>
    </div>
  </div>

</template>

<script>

export default {
  name: 'Beehives',
  data() {
    return {
      beehive: ''
    }
  },
  props: {
    'specific_beehive': {}
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  mounted() {
  },
  methods: {
    showBeehive(beehiveId) {
      this.$router.push('/beehive?beehiveid=' + beehiveId);
    }
  }
};
</script>


<style scoped>
label {
  display: block;
  margin-top: 10px;
}

</style>